# This file is executed on every boot (including wake-boot from deepsleep)
import sys
sys.path[1] = '/flash/lib'

import network
station = network.WLAN(network.STA_IF)
station.active(True)
station.connect("????ssid????", "????password????")

import machine, ssd1306
i2c = machine.I2C(scl=machine.Pin(4), sda=machine.Pin(5))
oled = ssd1306.SSD1306_I2C(128, 64, i2c)

oled.fill(0) 
oled.text(' MicroPython on ', 0, 0)
oled.text('ESP32 board with', 0, 9)
oled.text('- SSD1306 OLED  ', 0, 19)
oled.text('- FTP server    ', 0, 28)
oled.text('- Telnet server ', 0, 37)
oled.text('ESP32 connects 2', 0, 48)
oled.text('Android AP(WiFi)', 0, 57)
oled.show()

network.telnet.start()
network.ftp.start()

import os, time

pwma = machine.PWM(machine.Pin(15))
ain2 = machine.Pin(13, machine.Pin.OUT)
ain1 = machine.Pin(12, machine.Pin.OUT)
stby = machine.Pin(14, machine.Pin.OUT)
bin1 = machine.Pin( 2, machine.Pin.OUT)
bin2 = machine.Pin( 0, machine.Pin.OUT)
pwmb = machine.PWM(machine.Pin(4))

stby.value(0)

def forward():
    ain1.value(1)
    ain2.value(0)
    
    

def backward():
    ain2.value(1)
    ain1.value(0)
    
    

def stop():
    ain1.value(0)
    ain2.value(0)
    
    

def brake():
    ain1.value(1)
    ain2.value(1)
    
    


def left():
    bin1.value(1)
    bin2.value(0)
    
    

def right():
    bin1.value(0)
    bin2.value(1)
        


def sstop():
    bin1.value(0)
    bin2.value(0)
    
    

def sbrake():
    bin1.value(1)
    bin2.value(1)
    
    
stop()
sstop()
pwma.value(0)
pwmb.value(0)

